﻿#language: ru
@integration

Функционал: 13_integration. Заполнение правил выгрузки данных для обмена

Сценарий: 13_integration. Правило для распоряжения на перемещение
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Обмен данными ИБ' 'Правила выгрузки'
	Тогда открылось окно 'Правила выгрузки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Правило выгрузки (создание)'
	И я нажимаю кнопку выбора у поля с именем "Владелец"
	Тогда открылось окно 'Получатели'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Правило выгрузки (создание) *'
	И я нажимаю кнопку выбора у поля с именем "ТипПакета"
	Тогда открылось окно 'Форма выбора тип пакета'
	И в таблице "ТаблицаТиповПакета" я перехожу к строке:
		| 'Тип пакета'                           |
		| 'Документ.к2РаспоряжениеНаПеремещение' |
	И в таблице "ТаблицаТиповПакета" я нажимаю на кнопку с именем 'ТаблицаТиповПакетаВыбрать'
	Тогда открылось окно 'Правило выгрузки (создание) *'
	И в поле 'Дата начала обмена' я ввожу текст '01.01.2017  0:00:00'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Правило выгрузки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Правила выгрузки'
	И Я закрываю окно 'Правила выгрузки'